Bug 808566 - When deleting an individual rhev image, user given wrong provider image UUID
When deleting an individual rhev image, user given wrong provider image UUID
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 14:06 EDT by Steve Reichard
Modified: 2014-01-05 13:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhevm console screen shot (138.12 KB, image/png)
2012-03-30 14:06 EDT, Steve Reichard
no flags Details
movie of a delete (1.32 MB, video/ogg)
2012-03-30 14:07 EDT, Steve Reichard
no flags Details

  None (edit)
Description Steve Reichard 2012-03-30 14:06:22 EDT
Created attachment 574057 [details]
rhevm console screen shot

Description of problem:


When I look at an individual image in the Component Outline page, 

For vsphere and ec2, the object which I can find at the provider is in the UUID column,  For RHEV it appear in the URI column.

Now when a delete the image it always appears to tell me to delete the UUID, which is wrong for RHEV, because you will not find it.

I'll attach a screeen shot of my rhev console and a movie of the delete.



Version-Release number of selected component (if applicable):



[root@cf-cloudforms9 imagefactory]# /pub/scripts/post_install_configuration_scripts/cf-versions 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-cloudforms9.cloud.lab.eng.bos.redhat.com 2.6.32-220.7.1.el6.x86_64 #1 SMP Fri Feb 10 15:22:22 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
postgresql-8.4.9-1.el6_1.1.x86_64
mongodb-1.8.2-3.el6.x86_64
euca2ools-1.3.1-4.el6_0.noarch
ruby-1.8.7.352-6.el6.x86_64
rubygems-1.8.16-1.el6.noarch
deltacloud-core-0.5.0-7.el6.noarch
rubygem-deltacloud-client-0.5.0-2.el6.noarch
package libdeltacloud is not installed
hail-0.8-0.3.gf9c5b967.el6.x86_64
puppet-2.6.14-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
iwhd-1.5-2.el6.x86_64
imagefactory-1.0.0rc10-1.el6.noarch
aeolus-conductor-daemons-0.8.3-1.el6.noarch
aeolus-conductor-0.8.3-1.el6.noarch
[root@cf-cloudforms9 imagefactory]# 



How reproducible:

with work, easily


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Reichard 2012-03-30 14:07:10 EDT
Created attachment 574058 [details]
movie of a delete
Comment 2 Hugh Brock 2012-04-04 11:10:01 EDT
Not a 1.0.0 blocker, moving to 1.1.0

Note You need to log in before you can comment on or make changes to this bug.